#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-29.000000" y="63.000000">
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <Node name="node_CvfdWebcam_1" type="CvfdWebcam" x="-197.000000" y="63.000000">
      <Parameter name="INDEX" type="int" value="-1" description="Index of the camera to be used. If there is only one camera or it does not matter what camera to use -1 may be passed."/>
    </Node>
    <Node name="node_RosNodeGenerator_1" type="RosNodeGenerator" x="-114.000000" y="5.000000">
      <Parameter name="NODE_NAME" type="string" value="HARK_MASTER_NODE_PUBLISHER" description="Node name for ROS"/>
    </Node>
    <Link from="node_CvfdWebcam_1" output="VIDEO" to="node_LOOP0_1" input="VIDEO"/>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
    <NetOutput name="FEATOUT" node="node_LOOP0_1" terminal="FEATOUT" object_type="any" description="No description available"/>
    <NetOutput name="VALUE" node="node_RosNodeGenerator_1" terminal="VALUE" object_type="int" description="int parameter"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_CvfdQueryFrame_1" type="CvfdQueryFrame" x="-203.000000" y="-49.000000"/>
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="69.000000" y="-56.000000">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Node name="node_CvfdhRosImagePublisher_1" type="CvfdhRosImagePublisher" x="147.000000" y="-118.000000">
      <Parameter name="TOPIC_NAME_IMAGE" type="string" value="Image" description="Published topic name for ROS"/>
      <Parameter name="TOPIC_NAME_IMAGEMAP" type="string" value="ImageMap" description="Published topic name for ROS"/>
      <Parameter name="BUFFER_NUM" type="int" value="1" description="Buffer size for a ROS published message"/>
      <Parameter name="ROS_LOOP_RATE" type="float" value="100000" description="This allows you to specify a frequency that you would like to loop at [Hz]. Keep this value large. (If ROS interval is shorter than HARK interval, ROS interval is overwritten.)"/>
    </Node>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhRosImagePublisher_1" input="IMAGEIN">-94 -56.5 -47 -56 -47 -125 -1 -125.5 </Link>
    <NetCondition name="CONDITION" node="node_CvfdQueryFrame_1" terminal="BOOL"/>
    <NetInput name="VIDEO" node="node_CvfdQueryFrame_1" terminal="VIDEO" object_type="CvfdVideo" description="Video capturing structure"/>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="any" description="Output image. The type should be CvfdImage or Map&lt;int, ObjectRef&gt;."/>
    <NetOutput name="FEATOUT" node="node_CvfdhRosImagePublisher_1" terminal="FEATOUT" object_type="Map&lt;int,ObjectRef&gt;" description="Output features. The ObjectRef should be Vector&lt;float&gt;."/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
</Document>
